<?php
/*
  Template Name: LinkCat
  */  
/* -*- php -*- ****************************************************************
 *
 *  System        : 
 *  Module        : 
 *  Object Name   : $RCSfile$
 *  Revision      : $Revision$
 *  Date          : $Date$
 *  Author        : $Author$
 *  Created By    : Robert Heller
 *  Created       : Sat Oct 28 10:13:42 2017
 *  Last Modified : <171028.1019>
 *
 *  Description	
 *
 *  Notes
 *
 *  History
 *	
 ****************************************************************************
 *
 *    Copyright (C) 2017  Robert Heller D/B/A Deepwoods Software
 *			51 Locke Hill Road
 *			Wendell, MA 01379-9728
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * 
 *
 ****************************************************************************/

?>
<?php get_header(); /* header.php */ ?>

<div class="wrap">
  <?php if ( CountryRobot_Theme::enableLeft() ) {
      get_template_part( 'sidebar', 'left' ); /* sidebar(-left).php */
  } ?>
  <div id="primary" class="content-area narrowcolumn <?php if ( !CountryRobot_Theme::enableLeft() ) { echo "narrowcolumn-noleft"; } ?>">
    <main id="main" class="site-main" role="main">
      <?php if (have_posts()) { while (have_posts()) { the_post(); ?>
	<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
	<!--<h2><?php the_title(); ?></h2>-->
        <div class="entrytext">
          <?php the_content('<p class="serif">Read the rest of this page &raquo;</p>'); ?>
          
          <?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 
                                    'after' => '</p>',
                                    'next_or_number' => 'number')); ?>
            
          </div>
          <ul>
            <?php $p = get_the_ID();
              $linkcatpage =  get_post_meta($p, '_linkcatpage', true);
              if ( empty($linkcatpage) ) $linkcatpage =  get_post_meta($p, 'linkcatpage', true);
              while ( empty($linkcatpage) && $p > 0) {
                $page = get_page($p);
                $p = $page->post_parent;
                $linkcatpage =  get_post_meta($p, '_linkcatpage', true);
                if ( empty($linkcatpage) ) $linkcatpage =  get_post_meta($p, 'linkcatpage', true);
              }
              if ( ! empty($linkcatpage) ) {
                /*file_put_contents("php://stderr","*** related links: linkcatpage is ".$linkcatpage."\n");*/
              ?><div id="relatedlinks"><?php 
                 wp_list_bookmarks('show_description=1&show_images=1&category_name='.$linkcatpage.'&categorize=0&title_li=');
              ?></div><?php 
              } ?></ul>
        </div>
        <?php } ?>

      <?php get_template_part( 'bottomsidebar' ); /* bottomsidebar */?>
    </main><!-- #main -->
  </div><!-- #primary -->
  <?php get_sidebar(); ?>
</div><!-- .wrap --><br clear="all" />                                          

<?php get_footer(); 


